module WeatherModel
  module SourceSchema
    AutoStationTenMins = 
      {
        sort: 'AutoStation',
        table_name: :auto_station_ten_mins,
        schema: {
          datetime: :datetime,
          sitenumber: :string,
          name: :string,
          tempe: :string,
          rain: :string,
          wind_direction: :string,
          wind_speed: :string,
          visibility: :string,
          humi: :string,
          max_tempe: :string,
          min_tempe: :string,
          max_speed: :string,
          max_direction: :string,
          pressure: :string,
        },
        options: {
          index: %i[datetime name],
          expire: 4 * 60 * 60,
        },
        factory_name: :auto_station_ten_min,
        factory: {
          datetime: Time.parse('2011-11-11 11:11'),
          sitenumber: '99632',
          name: '蓬莱公园',
          tempe: '25.6',
          rain: '0',
          wind_direction: '226',
          wind_speed: '0.3',
          visibility: '////',
          humi: '////',
          max_tempe: '25.6',
          min_tempe: '24.3',
          max_speed: '3.1',
          max_direction: '308',
          pressure: '////',
        }
      }
  end
end 
